Page MenuHomePhabricator

Remove old MediaWiki UI tool labs instance, http://tools.wmflabs.org/styleguide/
Closed, ResolvedPublic

Description

http://tools.wmflabs.org/styleguide/ Is outdated and should probably be removed or be changed to redirect to the current demo, https://doc.wikimedia.org/oojs-ui/master/demos/#widgets-mediawiki-ltr.

Event Timeline

@Prtksxna I could use your inputs here, I'm concerned about completely removing this documentation yet, as mediawiki.UI is still in use in MobileFrontend. An intermediate step would be to put a clear message atop the index page. You've been involved in setting this instance up, right?

http://tools.wmflabs.org/styleguide/ Is outdated and should probably be removed or be changed to redirect to the current demo, https://doc.wikimedia.org/oojs-ui/master/demos/#widgets-mediawiki-ltr.

Just to clarify the documentation at http://tools.wmflabs.org/styleguide/ is outdated in more than one way. Firstly, it documents an older UI standardization effort, which was a set of mediawiki.ui LESS files in core. Secondly, I am unsure if the cron jobs are still running and updating the documentation whenever we make change.

@Prtksxna I could use your inputs here, I'm concerned about completely removing this documentation yet, as mediawiki.UI is still in use in MobileFrontend. An intermediate step would be to put a clear message atop the index page. You've been involved in setting this instance up, right?

Right, given that its still being used we shouldn't remove it. Adding a notice on the top encouraging readers to use OOUI instead is a good idea. @Volker_E I'll try and find out how its getting generated.

This comment was removed by Prtksxna.

A crontab file exists, but I couldn't find logs on when the last time the documentation was generated. Running the generator manually — P4729 — results in an error so I am not sure how updated that styleguide is.

The fact that it must've been broken for a while and no one has shouted at it means that not a lot of people are using it (or are just happy with an old version). @Jdlrobson do you ever refer to it? Does anyone else who is working on MobileFrontend?


We have two options for adding the notice:

  • Index: This already has a notice. The paragraph on top does say the right things but doesn't look like a notice.
  • Pages on the desktop styleguide: By updating the template, it shouldn't be very hard to get a permanent notice on all the pages.

@Volker_E Thoughts? Copy?

This styleguide and the CSS classes mentioned here are deprecated (are they?). Please use OOUI instead, see the new styleguide for instructions, or checkout the OOUI demo page.


If no one uses it, I'd rather get rid of it or setup an HTTP redirect than add a notice.

I think you can safely remove it. I don't refer to it anymore and the fact it is outdated is a little concerning.

I think you can safely remove it. I don't refer to it anymore and the fact it is outdated is a little concerning.

Cool. @Volker_E if you're ok with it too, I'll setup a redirect.

@Prtksxna Thought I've already answered, yes, please. And then let's close this task. :)

Prtksxna closed this task as Resolved.Feb 9 2017, 8:15 AM
Prtksxna claimed this task.

Added a .lighttpd.conf file to $HOME and setup a 301 for all pages-

$HTTP["host"] =~ ".*" {
   url.redirect = ( ".*" => "https://wikimedia.github.io/WikimediaUI-Style-Guide/")
}
▶ curl -I http://tools.wmflabs.org/styleguide/
HTTP/1.1 301 Moved Permanently
Server: nginx/1.11.3
Date: Thu, 09 Feb 2017 08:12:17 GMT
Connection: keep-alive
Location: https://wikimedia.github.io/WikimediaUI-Style-Guide/
X-Clacks-Overhead: GNU Terry Pratchett

Err, should it be redirecting to the OOUI demo page instead?

TheDJ awarded a token.Feb 9 2017, 8:33 AM

Awesome! No, it should definitely point to the style guide. But I'd rather go for a moved temporarily b/c we might move it to a more ”official“ address soonish.

As far as I understand, the move itself is permanent, the location to which it has moved can change later.

I also got an email from @madhuvishy on Wed. saying this still needs to be migrated to Trusty. I tried to do that earlier (in response to the prior email), but evidently didn't work for some reason. I'm not sure how changing it to be a redirect affects this.

@Mattflaschen-WMF Some tools that were migrated in the past week still got picked up by the email generation script - if it's not on https://tools.wmflabs.org/precise-tools/ - you're all set!

@Prtksxna My understanding of 301 is, that a robot will never come back after putting the new site address in its index instead.
Problem is, I can't set a 301 on GitHub pages, at least, not that I know of.
Therefore a 302 seems more useful here, because we might change the URL in some weeks to not point to the GitHub pages URL any more.

I don't think a lot of people reach that page via a search engine. I thought of this change as an aid to the user and not robots.

Assuming what I thought was wrong, we don't want to use 302 Found as it got muddled by the spec and industry standard. The right one to use would be 307 Temporary Redirect but it seems that the Googlebots don't understand it well. The Wikipedia page has a nice explanation about these.

Prtksxna reopened this task as Open.Apr 3 2018, 6:09 AM
Prtksxna added a subscriber: Quiddity.

The other old Living Style Guide should also be fully-deprecated, so that someone who follows an old link to a sub-page there can easily find the newer docs.
I.e. https://tools.wmflabs.org/styleguide/ is marked as deprecated, but none of the subpages are, e.g.
https://tools.wmflabs.org/styleguide/desktop/index.html
https://tools.wmflabs.org/styleguide/desktop/section-2.html
https://tools.wmflabs.org/styleguide/mobile/index.html
https://tools.wmflabs.org/styleguide/mobile/section-1.html
etc

Also, now that we have https://design.wikimedia.org/style-guide/ and no longer need to redirect to Github, maybe we can setup an automatic redirect again.

@zhuyifei1999, that wont cause an issue like T172834 again, right?

Prtksxna closed this task as Resolved.Apr 11 2018, 4:31 AM

Added a .lighttpd.conf file to $HOME and setup a 301 for all pages. This (hopefully) shouldn't cause T172834: Tool "styleguide" redirects to GitHub without consent again since we're redirecting to design.wikimedia this time .

$HTTP["host"] =~ ".*" {
   url.redirect = ( ".*" => "https://design.wikimedia.org/style-guide/")
}
▶ curl -I http://tools.wmflabs.org/styleguide/
HTTP/1.1 301 Moved Permanently
Server: nginx/1.13.6
Date: Wed, 11 Apr 2018 04:30:14 GMT
Connection: keep-alive
Location: https://design.wikimedia.org/style-guide/
X-Clacks-Overhead: GNU Terry Pratchett
Content-Security-Policy-Report-Only: default-src 'self' 'unsafe-eval' 'unsafe-inline' blob: data: filesystem: mediastream: *.wikibooks.org *.wikidata.org wikimedia.org *.wikimedia.org *.wikinews.org *.wikipedia.org *.wikiquote.org *.wikisource.org *.wikiversity.org *.wikivoyage.org *.wiktionary.org *.wmflabs.org wikimediafoundation.org *.mediawiki.org wss://tools.wmflabs.org; report-uri https://tools.wmflabs.org/csp-report/collect;